package cn.superdesk.uniorder.dto.vo.inv;

import cn.superdesk.uniorder.dto.vo.sys.SysBackAccountVo;

import java.math.BigDecimal;
import java.util.List;

//import cn.superdesk.uniorder.dao.entity.sys.SysBackAccount;

public class ViewBackAccountDataRegisterHead {


	private Integer                     orderNum;//订单数
	private Integer                     invoiceNum;//发票数
	private BigDecimal                  DZAccount;//帐单金额
	private String                      dzSn; //帐单编码
	private String                      enterpriseName;//企业名称
	private BigDecimal                  backAccount;//已回款额
	private BigDecimal                  noBackAccount;//已回款额
	private List<ViewBackAccountManage> ListViewBackAccountRegister;//未回款 回款登记  回款相关数据
	private List<SysBackAccountVo>      ListSysBackAccountData; //未回款 回款登记  回款记录

	public List<ViewBackAccountManage> getListViewBackAccountRegister() {
		return ListViewBackAccountRegister;
	}

	public void setListViewBackAccountRegister(
			List<ViewBackAccountManage> listViewBackAccountRegister) {
		ListViewBackAccountRegister = listViewBackAccountRegister;
	}

	public List<SysBackAccountVo> getListSysBackAccountData() {
		return ListSysBackAccountData;
	}

	public void setListSysBackAccountData(
			List<SysBackAccountVo> listSysBackAccountData) {
		ListSysBackAccountData = listSysBackAccountData;
	}

	public Integer getOrderNum() {
		return orderNum;
	}

	public void setOrderNum(Integer orderNum) {
		this.orderNum = orderNum;
	}

	public Integer getInvoiceNum() {
		return invoiceNum;
	}

	public void setInvoiceNum(Integer invoiceNum) {
		this.invoiceNum = invoiceNum;
	}

	public BigDecimal getDZAccount() {
		return DZAccount;
	}

	public void setDZAccount(BigDecimal dZAccount) {
		DZAccount = dZAccount;
	}

	public String getDzSn() {
		return dzSn;
	}

	public void setDzSn(String dzSn) {
		this.dzSn = dzSn;
	}

	public String getEnterpriseName() {
		return enterpriseName;
	}

	public void setEnterpriseName(String enterpriseName) {
		this.enterpriseName = enterpriseName;
	}

	public BigDecimal getBackAccount() {
		return backAccount;
	}

	public void setBackAccount(BigDecimal backAccount) {
		this.backAccount = backAccount;
	}

	public BigDecimal getNoBackAccount() {
		return noBackAccount;
	}

	public void setNoBackAccount(BigDecimal noBackAccount) {
		this.noBackAccount = noBackAccount;
	}
}
